package com.bergerkiller.bukkit.nolagg;

import java.util.List;

import com.bergerkiller.bukkit.nolagg.meta.WorldMetaData;

public class StackFormer extends Thread {
	public static double stackRadiusSquared;
	public static int stackThreshold = 2;
	private static StackFormer thread;
		
	public static void init() {
		thread = new StackFormer();
		thread.start();
	}
	public static void deinit() {
		thread.running = false;
	}
	boolean running = true;
	public void run() {
		List<WorldMetaData> worlds = WorldMetaData.getWorlds();
		int i = 0;
		while (!this.isInterrupted() && this.running) {
			try {
				while (i < worlds.size()) {
					worlds.get(i).updateStackFormingAsync();
					i++;
				}
				i = 0;
				Thread.sleep(50);
			} catch (ArrayIndexOutOfBoundsException ex) {
			} catch (IndexOutOfBoundsException ex) {
			} catch (InterruptedException ex) {
			} catch (Exception ex) {
				if (this.running) {
					//log
					ex.printStackTrace();
				}
			}
		}
		thread = null;
	}
		
}
